%define anolis_release 1

Name:           perl-Mozilla-CA
Version:        20211001
Release:        %{anolis_release}%{?dist}
Summary:        Mozilla's CA cert bundle in PEM format

# README:                       MPLv2.0
## Unbundled
# mk-ca-bundle.pl:              MIT
# lib/Mozilla/CA/cacert.pem:    MPLv2.0
License:        MPLv2.0
URL:            https://metacpan.org/release/Mozilla-CA
Source0:        https://cpan.metacpan.org/authors/id/A/AB/ABH/Mozilla-CA-%{version}.tar.gz
Patch0001:      0001-Redirect-to-ca-certificates-bundle.patch

BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Run-time:
BuildRequires:  ca-certificates
BuildRequires:  perl(strict)
BuildRequires:  perl(File::Spec)
# Tests:
BuildRequires:  perl(Test)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       ca-certificates

%description
Mozilla::CA provides a path to ca-certificates copy of Mozilla's bundle of
certificate authority certificates in a form that can be consumed by modules
and libraries based on OpenSSL.

%prep
%autosetup -p1 -n Mozilla-CA-%{version}

# Remove a bundled CA bundle
rm lib/Mozilla/CA/cacert.pem
# Do not distribute Mozilla downloader, we take certificates from
# ca-certificates package
rm mk-ca-bundle.pl
perl -i -ne 'print $_ unless m{^mk-ca-bundle\.pl$}' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Mar 04 2022 Su Lifan <su-lifan@linux.alibaba.com> - 20211001-1
- Initial packaging for Anolis OS 23
